package sbu.javafx;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.image.Image;

import java.io.IOException;

public class MusicApp extends Application {

    @Override
    public void start(Stage stage) throws IOException
    {
        FXMLLoader fxmlLoader = new FXMLLoader(MusicApp.class.getResource("App-view.fxml"));
        Scene scene = new Scene(fxmlLoader.load());
        scene.getStylesheets().add(getClass().getResource("style.css").toExternalForm());
        stage.setTitle("Music Player");
        stage.setResizable(false);
        stage.setScene(scene);
        //TODO: add icon to the stage
        Image icon = new Image(getClass().getResourceAsStream("MusicPlayerIcon.png"));
        stage.getIcons().add(icon);
        stage.show();
    }

}
